
CoCoALib - Design #291

NewZZmod and NewRingFp: improve manual, clarify implementation

07 Jan 2013 18:37 - Anna Maria Bigatti

Status: Closed Start date: 07 Jan 2013

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: Tidying Estimated time: 1.00 hour

Target version: CoCoALib-0.99532 Spent time: 1.00 hour

Description

For small primes p the functions NewZZmod(p) and NewRingFp(p) are equivalent (or not?).

I think that should be made more clear in the documentation.

History

#1 - 21 Jan 2013 16:36 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 80

Added comment to doc files.

#2 - 29 Oct 2013 15:18 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99534 Seoul14 to CoCoALib-0.99532

#3 - 02 Apr 2014 17:00 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 80 to 100

No problems after more than a year in feedback.  Closing.

#4 - 03 Apr 2014 11:54 - Anna Maria Bigatti

- Estimated time set to 1.00 h
